API referenceAssets
POST /api/Assets/UpdateStartRepresentation
Updates the start representation of the Assets
POST
/api/Assets/UpdateStartRepresentationcurl -X POST "/api/Assets/UpdateStartRepresentation" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
{
"assetId": 0,
"externalId": "string",
"assetStartRepresentationDate": "2026-01-15T09:30:00Z"
}
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataEtrmApiGateway.DTOs.AssetManagement.AssetStartRepresentationDto[] | null
Response
application/json
A list of created AssetTimeseriesConnectionCreateDto.
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.AssetManagement.AssetTimeseriesConnectionCreateDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"timeseriesId": 0,
"assetId": 0,
"validityOrder": 0,
"assetTimeseriesTypeId": 0
}
]
}